Scientific Linux Security Update : rpm on SL5.x, SL6.x i386/x86_64

Medium Nessus Plugin ID 61294

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

The RPM Package Manager (RPM) is a command-line driven package management system capable of installing, uninstalling, verifying, querying, and updating software packages.

Multiple flaws were found in the way RPM parsed package file headers.
An attacker could create a specially crafted RPM package that, when its package header was accessed, or during package signature verification, could cause an application using the RPM library (such as the rpm command line tool, or the yum and up2date package managers) to crash or, potentially, execute arbitrary code. (CVE-2012-0060, CVE-2012-0061, CVE-2012-0815)

Note: Although an RPM package can, by design, execute arbitrary code when installed, this issue would allow a specially crafted RPM package to execute arbitrary code before its digital signature has been verified.

All RPM users should upgrade to these updated packages, which contain a backported patch to correct these issues. All running applications linked against the RPM library must be restarted for this update to take effect.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?f3fd3181

Plugin Details

Severity: Medium

ID: 61294

File Name: sl_20120403_rpm_on_SL5_x.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2012/08/01

Updated: 2018/12/31

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2012/04/03

Reference Information

CVE: CVE-2012-0060, CVE-2012-0061, CVE-2012-0815